> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Files Filesets

> Retrieve data about a specific dataset.

Example: file_fileset_id = ENCFF004PFU,

fileset_id = ENCSR359DFW,

lab = jesse-engreitz,

preferred_assay_title = DNase-seq,

method = MPRA,

donor_id = ENCDO000AAK,

sample_term = EFO_0002784,

sample_summary = GM12878,

software = Distal regulation ENCODE-rE2G,

cell_annotation = mesodermal cell,

class = prediction,

source = ENCODE.

The limit parameter controls the page size and can not exceed 500.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /files-filesets
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /files-filesets:
    get:
      summary: Files Filesets
      description: |-
        Retrieve data about a specific dataset.

        Example: file_fileset_id = ENCFF004PFU,

        fileset_id = ENCSR359DFW,

        lab = jesse-engreitz,

        preferred_assay_title = DNase-seq,

        method = MPRA,

        donor_id = ENCDO000AAK,

        sample_term = EFO_0002784,

        sample_summary = GM12878,

        software = Distal regulation ENCODE-rE2G,

        cell_annotation = mesodermal cell,

        class = prediction,

        source = ENCODE.

        The limit parameter controls the page size and can not exceed 500.

        Pagination is 0-based.
      operationId: filesFilesets
      parameters:
        - name: file_fileset_id
          in: query
          required: false
          schema:
            type: string
        - name: fileset_id
          in: query
          required: false
          schema:
            type: string
        - name: lab
          in: query
          required: false
          schema:
            type: string
            enum:
              - alan-boyle
              - bill-majoros
              - charles-gersbach
              - doug-fowler
              - gary-hon
              - j-michael-cherry
              - jay-shendure
              - jesse-engreitz
              - karen-mohlke
              - kushal-dey
              - lea-starita
              - luca-pinello
              - marc-vidal
              - mark-craven
              - nadav-ahituv
              - predrag-radivojac
              - thomas-quertermous
              - tim-reddy
              - zhiping-weng
        - name: preferred_assay_title
          in: query
          required: false
          schema:
            type: string
            enum:
              - CRISPR FACS screen
              - CRISPR FlowFISH screen
              - DNase-seq
              - DUAL-IPA
              - MPRA
              - Parse Perturb-seq
              - Perturb-seq
              - SGE
              - STARR-seq
              - TAP-seq
              - VAMP-seq
              - VAMP-seq (MultiSTEP)
              - Variant-EFFECTS
              - electroporated MPRA
              - lentiMPRA
              - scATAC-seq
              - scCRISPR screen
              - snATAC-seq
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - BlueSTARR
              - CRISPR screen
              - DUAL-IPA
              - ENCODE-rE2G
              - ESM-1v
              - MPRA
              - MutPred2
              - Perturb-seq
              - SEMVAR
              - SGE
              - STARR-seq
              - VAMP-seq
              - VAMP-seq (MultiSTEP)
              - Variant-EFFECTS
              - cV2F
              - caQTL
              - candidate Cis-Regulatory Elements
              - elements
              - scATAC-seq
              - scE2G
              - snATAC-seq
        - name: crispr_modality
          in: query
          required: false
          schema:
            type: string
            enum:
              - activation
              - base editing
              - interference
              - knockout
              - prime editing
        - name: donor_id
          in: query
          required: false
          schema:
            type: string
        - name: sample_term
          in: query
          required: false
          schema:
            type: string
        - name: sample_summary
          in: query
          required: false
          schema:
            type: string
        - name: software
          in: query
          required: false
          schema:
            type: string
            enum:
              - 2024_multistep
              - BCalm
              - BEDTools
              - BIRD
              - BlueSTARR
              - CRISPR-Millipede
              - CRISPResso2
              - Cooler
              - CountESS
              - DESeq2
              - DUAL-IPA analysis scripts
              - Distal regulation ENCODE-rE2G
              - DistalRegulationCRISPRdata
              - ESM-1v
              - FRACTEL
              - MPRAflow tsv-to-bed
              - MutPred2
              - NumPy
              - Pysam
              - SEMVAR
              - SGE Pipeline
              - Samtools
              - Sceptre
              - SciPy
              - Seaborn
              - Seurat
              - Snakemake
              - Straw
              - Variant-EFFECTS
              - bigWigAverageOverBed
              - cV2F
              - cyp2c19_2c9
              - matplotlib
              - mpralm
              - pandas
              - pySpade
              - pybedtools
              - scATAC-seq processing scripts
              - scE2G
              - statsmodels
        - name: cell_annotation
          in: query
          required: false
          schema:
            type: string
            enum:
              - extraembryonic parietal endodermal cell
              - extraembryonic visceral endodermal cell
              - intermediate extraembryonic parietal endodermal cell
              - mesodermal cell
              - neurectodermal cell
              - pluripotent epiblast cell
              - surface ectodermal cell
        - name: has_genome_browser_link
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
        - name: source
          in: query
          required: false
          schema:
            type: string
            enum:
              - ENCODE
              - IGVF
        - name: class
          in: query
          required: false
          schema:
            type: string
            enum:
              - biological relationship
              - observed data
              - prediction
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    _id:
                      type: string
                    file_set_id:
                      type: string
                    lab:
                      type: string
                    preferred_assay_titles:
                      type: array
                      items:
                        type: string
                      nullable: true
                    assay_term_ids:
                      type: array
                      items:
                        type: string
                      nullable: true
                    method:
                      type: string
                    class:
                      type: string
                    software:
                      type: array
                      items:
                        type: string
                      nullable: true
                    collections:
                      type: array
                      items:
                        type: string
                      nullable: true
                    samples:
                      type: array
                      items:
                        type: string
                      nullable: true
                    sample_ids:
                      type: array
                      items:
                        type: string
                      nullable: true
                    simple_sample_summaries:
                      type: array
                      items:
                        type: string
                      nullable: true
                    donors:
                      type: array
                      items:
                        type: string
                      nullable: true
                    source:
                      type: string
                    source_url:
                      type: string
                    download_link:
                      type: string
                    cell_annotation:
                      type: string
                      nullable: true
                    genome_browser_link:
                      type: string
                      nullable: true
                    crispr_modality:
                      type: string
                      nullable: true
                  required:
                    - _id
                    - file_set_id
                    - lab
                    - method
                    - class
                    - source
                    - source_url
                    - download_link
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````